#!/bin/sh

# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

set -e
set -u
trap 'exit 128' INT

admin="$(realpath "$(dirname "${0}")")"
source="$(realpath "${admin}/../")"

cd "${source}"

"${admin}/dotnet_wrapper.sh" tool restore
"${admin}/dotnet_wrapper.sh" tool run dotnet-cake build.cake "${@}"
