# Gentoo-Dotnet-Maintainer-Tools

Gentoo tool for .NET packages maintenance.

## About

### Available tools

Version 2 .NET tools:

* gdmt-checkcore - list NuPkgs required for building .NET projects using a given SDK
* gdmt-commit - create commits to a ebuild repository
* gdmt-ebuild - run ebuild command in a more prepared environment
* gdmt-genpwsh - generate PowerShell distribution tarball
* gdmt-gensdk - generate .NET SDK distribution tarball
* gdmt-govendor - generate a distribution tarball for GO language packages
* gdmt-pn - show package name of current directory in a ebuild repository
* gdmt-restore - run .NET restore safely
* gdmt-stablereq - file stabilization bug reports
* gdmt-sync - synchronize the ebuild repository and update caches

## Installation

### Dependencies

Version 2 .NET dependencies:

* FSharp.Data
* LibGit2Sharp
* System.CommandLine

## License

This software is licensed under the `GPL-2.0-or-later` license.
For more information see the `Copyright` directory.

    Copyright 2023-2024 Gentoo Authors
    Distributed under the terms of the GNU General Public License v2
