#!/usr/bin/env -S pwsh -NoLogo -NoProfile -NonInteractive

# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

$ErrorActionPreference = "Stop"

$admin = "${PSScriptRoot}"
$source = "${admin}/../"

Set-Location $source

Get-ChildItem "."
| Where-Object Attributes -eq "Directory"
| Where-Object Name -like "gdmt-*"
| Where-Object Name -ne "gdmt-shared"
| ForEach-Object { $_.Name }
| Set-Content -Path "${source}/gdmt-tools.txt"
